var i=0;

$(function() {
	//菜单
    //
	
	$('.xx-j-cn:not(:eq(0))').each(function () {
		$(this).attr('data-h', $(this).height()).height(68).removeClass('dn');
	});
	$('.xx-j-cn:eq(0)').attr('data-h', $(this).height()).height('auto').removeClass('dn');
	$('.gengd:eq(0)').addClass('xia').find('span').text('收起');


    //点击更多，显示所有内容
    $('.gengd').click(function(e) {
    	if (!$(this).hasClass('xia')) {
    		$(this).find('span').text('收起');
    		$(this).addClass('xia');
            //$(this).prev().animate({height: $(this).prev().attr('data-h')});
            $(this).prev().css('height', 'auto');
        } else {
        	$(this).find('span').text('更多');
        	$(this).removeClass('xia');
        	$(this).prev().animate({
        		height: 68
        	});
        }
    });

    //所有tab点击事件
    $('.in-tab span').click(function(){
    	$(this).addClass('on-it').siblings().removeClass('on-it');
    	var innd = $(this).index();
    	$('.xx-scom .in-ccom:eq(' + innd + ')').show().siblings().hide()

    });

    //第二个tab点击事件
    $('.in-tab span:eq(1)').click(function(){

        $.ajax({
            url:'./select_group',
            data:{type:'yx',city:a3},
            success:function(data){
                $('#yuanxiao_sel').html($(data).find('#p1'));
                $('#d1').prev().find('.sod_list span:eq(0)').click();
            }
        })
    });
   //第三个tab点击事件
    $('.in-tab span:eq(2)').click(function(){
      /* var ab=$('#pr1').val;
       var ac=$('#pr0').val;
       log(ab);
       log(ac);*/
        $.ajax({
            url:'./select_group',
            data:{type:'lq'},
            success:function(data){
                $('#zhuanye_sel').html($(data).find('#p2'));
                /* $('#z1').prev().find('.sod_list span:eq(0)').click();*/
               
            }
        })
    });
  //第四个tab点击事件
    $('.in-tab span:eq(3)').click(function(){
        $.ajax({
            url:'./select_group',
            data:{type:'jh',city:a3,year:a4},
            success:function(data){
                $('#jihua_sel').html($(data).find('#p3'));
                 $('#j1').prev().find('.sod_list span:eq(0)').click();
                /*if(a4!=''){
                    _.each($('#j1').prev().find('.sod_list').children(),function(a){
                        $(a).attr('data-value')==a3?$(a).click():'';
                    });               
                }*/
            }
        })
    });
    //院校点击查看专业    
    $('.daxue-info').on('click','.cla-zy:not([data-zs="0"])',function(e) {
        var nf=$(e.target).data().dq;
        var dq=$('#d1').parent().find('.sod_label').text();
        var ke=$('#d2').val();
        var ben=$('#d3').val();
        $('#pr0').val(nf);
        $('#pr1').val(dq);
        $('#pr2').val(ke);
        $('#pr3').val(ben);
        $('.in-tab span:eq(2)').click(); 
    });

    //查询页面参数
    var a1=$('#H_pc').val();
    var a2=$('#H_km').val();
    var a3=$('#H_city').val();
    var a4=$('#H_year').val();
    var a5=$('#H_id').val();
   
     if(a4!=''){
        var a2=$('#H_km').val();

        $('.in-tab span:eq(3)').click();
    }else{
        var a2=$('#H_km').val();
        $('.in-tab span:eq(1)').click();
    }
//就业图表事件
    $('.jiuye-tab').click(function() {
        jy_data(); //请求就业数据
    });
    //校园展示
    $('.xiaoyuan').click(function() {
        //街景初始化
        init();
    });
})